Category Archives: Sketchup pipe plugin

Sketchup pipe plugin

During these challenging times, we guarantee we will work tirelessly to support you. We will continue to give you accurate and timely information throughout the crisis, and we will deliver on our mission — to help everyone in the world learn how to do anything — no matter what. Thank you to our community and to all of our readers who are working to aid others in this time of crisis, and to all of those who are making personal sacrifices for the good of their communities.

We will get through this together. SketchUp has the ability to do a lot of things. You can recreate existing structures, design a dog house, make a yurt, and many other things. This article will tell you how to make a curved pipe using the Follow Me Tool. Log in Facebook Loading Google Loading Civic Loading No account yet? Create an account. We use cookies to make wikiHow great. By using our site, you agree to our cookie policy.

As the COVID situation develops, our hearts ache as we think about all the people around the world that are affected by the pandemic Read morebut we are also encouraged by the stories of our readers finding help through our site. Article Edit. Learn why people trust wikiHow. Author Info Updated: January 8, To create this article, volunteer authors worked to edit and improve it over time. This article has also been viewed 76, times.

Learn more Explore this Article Steps. Tips and Warnings. Related Articles. Using the Orbit tool, change your perspective of the arc so that you have a good angle on the end of it. Click on the circle icon and go to the end of the arc and add a circle. Add a second one, since this article is for a pipe.

If you wanted it to be solid, you wouldn't need the second circle. Move the arc again with the Orbit tool so that you get a better perspective to use the Follow Me tool. With the Follow Me tool, click on the ring that is left from the circles. It will follow the path of the arc. Include your email address to get a message when this question is answered.

This will work with the same process and any path that you create. Helpful 1 Not Helpful 0. Submit a Tip All tip submissions are carefully reviewed before being published. Related wikiHows. Co-authors: 4. Updated: January 8, You can also download it by clicking the hyperlink below! It allows you to dictate the inside and outside diameters of your shape, allowing for the creation of hollow objects, or you can set the inside diameter to zero in order to simply create a solid shape.

You can create pipes using any shape with 3 or more segments. In conjunction with x-ray view, this allows greater control over moving your pipe around. Finally, you can specify if you want your original path inside the group with the geometry you create or not. This tool is free, and offers a lot of functionality. This tool is very simple to use. Functionality is well spelled out. I had no trouble figuring out how to use this plugin. I started using SketchUp as part of my work as a general contractor in I quickly realized the power of the software and started using it for personal projects.

I started The SketchUp Essentials as a place to share easy to follow SketchUp tutorials and tips to help everyone harness the power of 3D Modeling in their lives. When not working with SketchUp, I enjoy playing soccer and spending time with my wife and our two dogs. Hi there! If you're interested in SketchUp, you're in the right place.

Make sure to check out my tutorials page to see more SketchUp tutorials! Have a question? Send me a message on my contact me page!

Please donate to your developers. Where do you get it? Download the Plugin! About The Author. Related Posts. Want More SketchUp Tutorials? Enter your email below to get new SketchUp tutorials direct to your inbox every week! No spam, just great SketchUp tutorials!Install the extension as described in the right column - restart Sketchup and open this tool from the Sketchup Plugins menu.

Note that all objects from the Engineering Toolbox are inserted as individual groups. You should transfer a group to a component sharing the same definition when there is more than one instance of the same object.

Rename the object to its final name before making it a component in outliner or with right click and entity info.

Very handy for objects with curved surfaces like pipes, elbows. Make advanced geometric constructions with multiple selections, multiple copies and the offset. The Knife is a group you can rotate, change the size of, and even add or remove objects within example - add a function curve for an advanced cut.

You can also make your own Knife by naming a group "theKnife". After insert and customizing the knife - positioning it to the object s where to cut - select the object s must be groups - and click cut! Afterwards - select the object s and remove the parts of the object s that you don't want. YouTube demo of the Knife! Handy when moving between axis systems. You can change the position and angle of an inserting object by pre-selecting an existing object before Insert!

The inserted object will inherit the position of the selected object. Handy when working with non-default axis.

We don't collect information from our users. Only emails and answers are saved in our archive. Cookies are only used in the browser to improve user experience. Some of our calculators and applications let you save application data to your local computer. These applications will - due to browser restrictions - send data between your browser and our server.

Create Pipes Along Any Path in SketchUp with Pipe Along Path - Plugin of the Week #6

We don't save this data. Google use cookies for serving our ads and handling visitor statistics. AddThis use cookies for handling links to social media. Please read AddThis Privacy for more information. Insert standard and customized parametric components - like flange beams, lumbers, piping, gemometric figures, function curves, stairs and more - to your Google SketchUp models with sketchup.

You need to install the local version of SketchUp Make if you want to use extensions. From within Sketchup - open the Engineering ToolBox extension, navigate to component and select insert!Landscape Furniture. Intermediate Beginner. SketchUp Training Modelling Services. CatchUp Reviews. Description : Creates circular faced 'followme' pipe extrusions along a path - Use it to make pipes, ducts etc, starting from a selection of joined edges Usage : Select joined lines, arcs, circles, curves, etc.

sketchup pipe plugin

Select "Pipe Along Path" from the Plugins menu. Last used setting are remembered across sessions. The pipe-extrusion is grouped so it does not interact with adjacent surfaces - afterwards just explode it if appropriate. Edit it to intesect with model and tidy up to make tees etc These can be used for snapping, if not wanted 'erase construction geometry' will remove them globally or just within a group that you are editing.

One Undo to remove the construction points, a second to Undo the Pipe itself. The default for extrusion face segments is 24, the minimum is 3.

Sketchup Plugins

The alignment is always 'Centroid' - along the pipe's centre line. The diameter is always measured square to the vector of the first path's line. A diameter that is less than the length of pieces of path edge might give correct but unexpected extrusions, which might need manually tidying Closed loop paths are fully extruded in a loop.

Multiple arcs and other complex 3D paths might give unexpected results. IF you must have this matching small diameter pipe and arc or welded elbow bends then to get it to work you can make the path a group, scale it by a factor so it's larger say x10then edit it and use this tool within it applying the diameters x10, after it's all made scale the group back down by x0.

Both diameters cannot be zero and will return an error. If one of the diamaters is zero then you get a 'tube' rather than a pipe. If the diamaters entered are equal the inside one is taken as zero and you will then get a 'tube' rather than a pipe. If the inside's diameter is greater than the outside's then they are swapped. A branching path returns an error as 'FollowMe' can't decide which path to take.

sketchup pipe plugin

Selected edges that are not joined i. Version : 1. Any units format now allowed. Last used options remembered across sessions and globally.Install the extension as described in the right column - restart Sketchup and open this tool from the Sketchup Plugins menu. Note that all objects from the Engineering Toolbox are inserted as individual groups. You should transfer a group to a component sharing the same definition when there is more than one instance of the same object.

Rename the object to its final name before making it a component in outliner or with right click and entity info. Very handy for objects with curved surfaces like pipes, elbows.

Make advanced geometric constructions with multiple selections, multiple copies and the offset. The Knife is a group you can rotate, change the size of, and even add or remove objects within example - add a function curve for an advanced cut. You can also make your own Knife by naming a group "theKnife". After insert and customizing the knife - positioning it to the object s where to cut - select the object s must be groups - and click cut!

Afterwards - select the object s and remove the parts of the object s that you don't want. YouTube demo of the Knife! Handy when moving between axis systems. You can change the position and angle of an inserting object by pre-selecting an existing object before Insert! The inserted object will inherit the position of the selected object. Handy when working with non-default axis. We don't collect information from our users. Only emails and answers are saved in our archive.

Cookies are only used in the browser to improve user experience. Some of our calculators and applications let you save application data to your local computer.

These applications will - due to browser restrictions - send data between your browser and our server. We don't save this data. Google use cookies for serving our ads and handling visitor statistics. AddThis use cookies for handling links to social media. Please read AddThis Privacy for more information. Insert standard and customized parametric components - like flange beams, lumbers, piping, gemometric figures, function curves, stairs and more - to your Google SketchUp models with sketchup.

You need to install the local version of SketchUp Make if you want to use extensions.

SketchUp Components

From within Sketchup - open the Engineering ToolBox extension, navigate to component and select insert! A page like this opens in a separate window - navigate to the wanted component - and select insert! The SketchUp Engineering Toolbox is an online resource updated continuously. You need an internet connection to operate.

sketchup pipe plugin

For some components parameters like length, color, offset and more can be modified before insertion. Customized components can be inserted by changing parameters in the dialog boxes at the end of the component lists - and clicking "custom! Selected objects in the model can be manipulated - rotated, moved, colors changed and more - from the Tools section.List, filter, sort and multi-edit. Create a bill of materials, a parts list or a report and export it to Excel. Animator is a script dedicated to the animation of Sketchup models.

It provides a parametric, interactive framework to control movements of objects and cameras along a timeline. Animator generates videos in various formats. Draw and edit conceptual and detail pipeline models, add labels and generate bills of materials. Simple script that opens the Advanced Camera Settings Window.

SketchUp Components

Windows only. Usage: Right click on anything in your scene and choose Advanced Camera Settings. Can number them sequentially with various options for direction of numbering and text prefixes.

Can also replace component's instance names with numbers. Medeek Engineering Inc. A simple interface for creating accurate 3D wall framing geometry within SketchUp. An extension in the mdkBIM suite. If suitable Selection, Context-Menu Usage: Extension: Background processes etc and Context-Menu See 'Overview' Draw and edit conceptual channel models, add labels and generate bills of materials.

Shared library needed by many of the Fredo plugins. It is NOT a standalone plugin. A simple interface for creating accurate truss, roof and floor framing with engineering.

sketchup pipe plugin

A simple interface for creating concrete foundations and footings with engineering. Draw and edit steelwork models, add labels and generate bills of materials.

Creates cabinets of any size in a variety of styles and a variety of textures. Now with context sensitive help images for every parameter. A suite of tools that allow you to make selection based on a wide variety of options. Select edges by lenght, select faces by area etc Landscape Furniture. Intermediate Beginner. SketchUp Training Modelling Services. CatchUp Reviews. Sketchup Plugins. Tags for this article: sketchup plugins sketchup extensions plugin plugins sketchup trimble installing plugins free sketchup plugins free sketchup extensions sketchup plugin tutorials sketchup extension tutorials.

Latest News. AmbientOcclusion 2. Visit our sponsors:. Services Shop Advertise with us. An easy-to-use architecture tool.Hi, Is there any way to pipe a bunch of lines for creating spaceframe? The problem is joining of the tubes at the nodes. Ummm… I expect just have lines : connections is not important! These script lines works well so much thanks to you. Not at all, I used script above and my SU file goes 25 Mb!! I think this snippet should just increase the file size with one MB or so.

That is the power of groups and components in SketchUp! It works fine How to edit this script to make Rectangular profile instead of pipe and make it component instead of groups?

For a square cross section you can set the segment count to 4 instead of 12 but the edges will still be soften. Also note that the rotation of the cross section is quite arbitrary which is why circular pipes are so useful for these designs. If you want to learn Ruby you can read the different code snippets and try to understand them.

Modifying and experiment is also a great way to learn. Wops, forgot to reference the variable. At least so much thanks for your great guide. In my snippets I use Geom::Transformation.

SketchUp decides arbitrary vectors for the other axes. You can experimenting with passing an additional vector to the Transformation constructor method. However then you also need to change the orientation of the circle further up in the code. I mean rectangle for cross section that have width and height not square. How to pipe bunch of lines in sketchup SketchUp. What are you expecting?

TIG September 12,pm 5. Btw, how much did your original wireframe model gain in file size using my snippet? TIG September 13,pm Using ngon is also a good idea!


thoughts on “Sketchup pipe plugin

Leave a Reply

Your email address will not be published. Required fields are marked *